##############
# start with some simpler things.
+
+ # special protocol for return values--if we see this, it means we should still show
+ # the standard output and there was no actual error. implemented in
+ # squelch_unless_error.
+ define_yeti_variable MAGICAL_FEISTY_MEOW_OKAY_RETURN_VALUE=242
#hmmm: this needs to come from some configuration item. especially for installs.
define_yeti_variable DEFAULT_FEISTYMEOW_ORG_DIR=/opt/feistymeow.org
popd &>/dev/null
#nope. we do not want to signal an error when we have already caught it.
#exit $retval
-exit 0
+# special exit value means "show the output but there was no error".
+exit $MAGICAL_FEISTY_MEOW_OKAY_RETURN_VALUE
' > $ARCHIVE_SNAGGER_COMMAND
#s
retval=$?
if [ $retval != 0 ]; then
- # there was an error during the execution of the command.
- cat "$newout"
- cat "$newerr" >&2
- echo "An error was returned during execution of: ${@}" >&2
+ if [ $retval -eq $MAGICAL_FEISTY_MEOW_OKAY_RETURN_VALUE ]; then
+ # special standard here means that we will still show the output, but there was no actual error.
+ cat "$newout"
+ # reset to a non-error for our special case.
+ retval=0
+ else
+ # there was an actual error during the execution of the command.
+ cat "$newout"
+ cat "$newerr" >&2
+ echo "An error was returned during execution of: ${@}" >&2
+ fi
fi
# clean up.